# norootforbuild

Name:				python-paramiko
Version:			1.7.4
Release:			2.5
Summary:			SSH2 Module for Python
Source:			http://www.lag.net/paramiko/download/paramiko-%{version}.tar.bz2
Patch1:			http://launchpadlibrarian.net/14343610/paramiko_language_tag-v2.diff
URL:				http://www.lag.net/paramiko/
Group:			Development/Libraries/Python
License:			GNU Library General Public License (LGPL)
BuildRoot:		%{_tmppath}/build-%{name}-%{version}
BuildRequires:	python python-devel
Requires:		python-crypto >= 1.9
Provides:		paramiko = %{version}-%{release}
%py_requires

%description
Paramiko is a module for python 2.2 (or higher) that implements the SSH2
protocol for secure (encrypted and authenticated) connections to remote
machines.

Unlike SSL (aka TLS), the SSH2 protocol does not require hierarchical
certificates signed by a powerful central authority. you may know SSH2 as the
protocol that replaced telnet and rsh for secure access to remote shells, but
the protocol also includes the ability to open arbitrary channels to remote
services across the encrypted tunnel -- this is how sftp works, for example.

It is written entirely in python (no C or platform-dependent code) and is
released under the GNU LGPL (lesser GPL).

%prep
%setup -q -n "paramiko-%{version}"
%patch1 -p1

%build
%__python ./setup.py build

%install
%__python ./setup.py install --prefix="%{_prefix}" --root="%{buildroot}" --record-rpm=files.lst

%clean
%__rm -rf "%{buildroot}"

%files -f files.lst
%defattr(-,root,root)
%doc LICENSE README demos docs

%changelog
* Mon Jul 07 2008 - Bernhard Walle <bwalle@suse.de> 1.7.4
- changed tarball to bzip2
- update to 1.7.4
  o more randpool fixes for windows, from Dwayne Litzenberger
    (NOTE: this may require a pycrypto upgrade on windows)
  o fix potential deadlock during key exchange (Dwayne Litzenberger)
  o remove MFC dependency from windows (Mark Hammond)
  o added some optional API improvements for SFTPClient get() and put()

* Sun May 18 2008 Pascal Bleser <guru@unixtech.be> 1.7.3
- added patch to send RFC1766 compliant language code

* Sat Apr 26 2008 Pascal Bleser <guru@unixtech.be> 1.7.3
- new upstream version

* Sun Jun 10 2007 Pascal Bleser <guru@unixtech.be> 1.7.2
- initial build service submission

# Local Variables:
# mode: rpm-spec
# tab-width: 3
# End:

# vim: set sw=3 ts=3 noet:
